'use strict';var BootstrapIcons=require('bootstrap-icons/bootstrap-icons.svg');function _interopDefaultLegacy(e){return e&&typeof e==='object'&&'default'in e?e:{'default':e}}var BootstrapIcons__default=/*#__PURE__*/_interopDefaultLegacy(BootstrapIcons);function _slicedToArray(arr, i) {
  return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest();
}

function _arrayWithHoles(arr) {
  if (Array.isArray(arr)) return arr;
}

function _iterableToArrayLimit(arr, i) {
  var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];

  if (_i == null) return;
  var _arr = [];
  var _n = true;
  var _d = false;

  var _s, _e;

  try {
    for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) {
      _arr.push(_s.value);

      if (i && _arr.length === i) break;
    }
  } catch (err) {
    _d = true;
    _e = err;
  } finally {
    try {
      if (!_n && _i["return"] != null) _i["return"]();
    } finally {
      if (_d) throw _e;
    }
  }

  return _arr;
}

function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}

function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;

  for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

  return arr2;
}

function _nonIterableRest() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}//
var script = {
  name: 'BootstrapIcon',
  props: {
    icon: {
      type: String,
      required: true
    },
    variant: {
      type: String,
      validator: function validator(value) {
        return ['success', 'warning', 'danger', 'info', 'primary', 'secondary', 'dark', 'light'].indexOf(value) !== -1;
      }
    },
    size: {
      type: String,
      validator: function validator(value) {
        return ['sm', 'md', 'lg', '2x', '3x', '4x', '5x'].indexOf(value) !== -1;
      }
    },
    flipH: {
      type: Boolean
    },
    flipV: {
      type: Boolean
    },
    rotate: {
      type: [String, Number],
      validator: function validator(value) {
        return value >= -360 && value <= 360;
      }
    },
    animation: {
      type: String,
      validator: function validator(value) {
        return ['cylon', 'cylon-vertical', 'fade', 'spin', 'spin-reverse', 'spin-pulse', 'spin-reverse-pulse', 'throb'].indexOf(value) !== -1;
      }
    }
  },
  computed: {
    cssClasses: function cssClasses() {
      var classes = [];
      if (this.variant) classes.push("bi--variant-".concat(this.variant));
      if (this.size) classes.push("bi--size-".concat(this.size));
      if (this.animation) classes.push("bi--animation-".concat(this.animation));
      return classes;
    },
    svgTransform: function svgTransform() {
      if (!this.flipH && !this.flipV && !this.rotate) return '';
      var scale;
      var rotate;

      if (this.flipV && this.flipH) {
        scale = '-1 -1';
      } else if (this.flipH) {
        scale = '-1 1';
      } else if (this.flipV) {
        scale = '1 -1';
      }

      if (this.rotate) {
        rotate = this.rotate;
      }

      return (scale ? "scale(".concat(scale, ")") : '') + (rotate ? "rotate(".concat(rotate, ")") : '');
    },
    svgSprite: function svgSprite() {
      return BootstrapIcons__default["default"];
    }
  },
  methods: {
    upperFirst: function upperFirst(str) {
      if (typeof str !== 'string') return str;
      return str.charAt(0).toUpperCase() + str.slice(1);
    }
  }
};function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}function createInjectorSSR(context) {
    if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__;
    }
    if (!context)
        return () => { };
    if (!('styles' in context)) {
        context._styles = context._styles || {};
        Object.defineProperty(context, 'styles', {
            enumerable: true,
            get: () => context._renderStyles(context._styles)
        });
        context._renderStyles = context._renderStyles || renderStyles;
    }
    return (id, style) => addStyle(id, style, context);
}
function addStyle(id, css, context) {
    const group = css.media || 'default' ;
    const style = context._styles[group] || (context._styles[group] = { ids: [], css: '' });
    if (!style.ids.includes(id)) {
        style.media = css.media;
        style.ids.push(id);
        let code = css.source;
        style.css += code + '\n';
    }
}
function renderStyles(styles) {
    let css = '';
    for (const key in styles) {
        const style = styles[key];
        css +=
            '<style data-vue-ssr-id="' +
                Array.from(style.ids).join(' ') +
                '"' +
                (style.media ? ' media="' + style.media + '"' : '') +
                '>' +
                style.css +
                '</style>';
    }
    return css;
}/* script */
var __vue_script__ = script;
/* template */

var __vue_render__ = function __vue_render__() {
  var _vm = this;

  var _h = _vm.$createElement;

  var _c = _vm._self._c || _h;

  return _c('svg', {
    staticClass: "bi",
    class: _vm.cssClasses
  }, [_vm._ssrNode("<g" + _vm._ssrAttr("transform", _vm.svgTransform) + " transform-origin=\"center\"><use" + _vm._ssrAttr("xlink:href", _vm.svgSprite + "#" + _vm.icon) + "></use></g>")]);
};

var __vue_staticRenderFns__ = [];
/* style */

var __vue_inject_styles__ = function __vue_inject_styles__(inject) {
  if (!inject) return;
  inject("data-v-3ea4e60c_0", {
    source: ".bi{fill:currentColor;width:1em;height:1em;font-size:1em;margin-bottom:.125em;vertical-align:middle}.bi--variant-success{color:var(--bs-success)}.bi--variant-warning{color:var(--bs-warning)}.bi--variant-danger{color:var(--bs-danger)}.bi--variant-info{color:var(--bs-info)}.bi--variant-primary{color:var(--bs-primary)}.bi--variant-secondary{color:var(--bs-secondary)}.bi--variant-dark{color:var(--bs-dark)}.bi--variant-light{color:var(--bs-light)}.bi--size-sm{font-size:.75em}.bi--size-md{font-size:1.25rem}.bi--size-lg{font-size:1.33333333rem}.bi--size-2x{font-size:2rem}.bi--size-3x{font-size:3rem}.bi--size-4x{font-size:4rem}.bi--size-5x{font-size:5rem}.bi--animation-cylon{animation:bi-animation-cylon .75s ease-in-out infinite alternate}.bi--animation-cylon-vertical{animation:bi-animation-cylon-vertical .75s ease-in-out infinite alternate}.bi--animation-fade{animation:bi-animation-fade .75s ease-in-out infinite alternate}.bi--animation-spin{animation:bi-animation-spin 2s linear infinite normal}.bi--animation-spin-reverse{animation:bi-animation-spin 2s linear infinite reverse}.bi--animation-spin-pulse{animation:bi-animation-spin 1s steps(8) infinite normal}.bi--animation-spin-reverse-pulse{animation:bi-animation-spin 1s steps(8) infinite reverse}.bi--animation-throb{animation:bi-animation-throb .75s ease-in-out infinite alternate}@keyframes bi-animation-cylon{0%{transform:translateX(-25%)}100%{transform:translateX(25%)}}@keyframes bi-animation-cylon-vertical{0%{transform:translateY(25%)}100%{transform:translateY(-25%)}}@keyframes bi-animation-fade{0%{opacity:.1}100%{opacity:1}}@keyframes bi-animation-spin{0%{transform:rotate(0)}100%{transform:rotate(359deg)}}@keyframes bi-animation-throb{0%{opacity:.5;transform:scale(.5)}100%{opacity:1;transform:scale(1)}}",
    map: undefined,
    media: undefined
  });
};
/* scoped */


var __vue_scope_id__ = undefined;
/* module identifier */

var __vue_module_identifier__ = "data-v-3ea4e60c";
/* functional template */

var __vue_is_functional_template__ = false;
/* style inject shadow dom */

var __vue_component__ = /*#__PURE__*/normalizeComponent({
  render: __vue_render__,
  staticRenderFns: __vue_staticRenderFns__
}, __vue_inject_styles__, __vue_script__, __vue_scope_id__, __vue_is_functional_template__, __vue_module_identifier__, false, undefined, createInjectorSSR, undefined);

var component$1 = __vue_component__;// Import vue component
// IIFE injects install function into component, allowing component
// to be registered via Vue.use() as well as Vue.component().

var component = /* #__PURE__ */(function () {
  // Get component instance
  var installable = component$1; // Attach install function executed by Vue.use()

  installable.install = function (Vue) {
    Vue.component('BootstrapIcon', installable);
  };

  return installable;
})(); // It's possible to expose named exports when writing components that can
// also be used as directives, etc. - eg. import { RollupDemoDirective } from 'rollup-demo';
// export const RollupDemoDirective = directive;
var namedExports=/*#__PURE__*/Object.freeze({__proto__:null,'default':component});// only expose one global var, with named exports exposed as properties of
// that global var (eg. plugin.namedExport)

Object.entries(namedExports).forEach(function (_ref) {
  var _ref2 = _slicedToArray(_ref, 2),
      exportName = _ref2[0],
      exported = _ref2[1];

  if (exportName !== 'default') component[exportName] = exported;
});module.exports=component;